{% extends "base.html" %}

{% set active_page = "sensors" %}

{% block title %} Sensor data {% endblock %}



{% block divs %}
<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    {% for breadcrumb in breadcrumb_info["ancestors"] %}
      <li class="breadcrumb-item{% if loop.last %} active{% endif %}" {% if loop.last %}aria-current="page"{% endif %}>
        {% if breadcrumb["url"] is not none and not loop.last %}
          <a href="{{ breadcrumb['url'] }}">{{ breadcrumb['name'] }}</a>
        {% else %}
          {{ breadcrumb['name'] }}
        {% endif %}
      </li>
    {% endfor %}
  </ol>
</nav>
      <div class="sensor-data charts text-center">
          <div class="row">
              <div class="alert alert-info" id="tzwarn" style="display:none;"></div>
              <div class="alert alert-info" id="dstwarn" style="display:none;"></div>
              <div class="alert alert-info" id="sourcewarn" style="display:none;"></div>
          </div>
          <div class="row on-top-md">
              <div class="col-sm-2">
                  <div class="sidepanel-container">
                      <div class="left-sidepanel-label">Select dates</div>
                      <div class="sidepanel left-sidepanel">
                          <div id="datepicker"></div>
                          <div class="dropdown header-action-button">
                              <button class="btn dropdown-toggle" type="button" id="chartTypeDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                  Select chart
                              </button>
                              <ul class="dropdown-menu center-aligned" aria-labelledby="chartTypeDropdown">
                                  <li><a class="dropdown-item" href="#" data-chart-type="bar_chart">Bar chart</a></li>
                                  <li><a class="dropdown-item" href="#" data-chart-type="daily_heatmap">Daily heatmap</a></li>
                                  <li><a class="dropdown-item" href="#" data-chart-type="weekly_heatmap">Weekly heatmap</a></li>
                              </ul>
                          </div>
                      </div>
                  </div>
              </div>
              <div class="col-sm-8">
                  <div id="sensorchart" class="card" style="width: 100%;"></div>
                  <div id="spinner" hidden="hidden">
                      <i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i>
                      <span class="sr-only">Loading...</span>
                  </div>
              </div>
              <div class="col-sm-2">
                  <div class="replay-container">
                    <div id="replay" title="Press 'p' to play/pause/resume or 's' to stop." class="stopped"></div>
                    <div id="replay-time"></div>
                  </div>
              </div>
          </div>
          <hr>
      </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jstimezonedetect/1.0.7/jstz.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/litepicker.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/plugins/ranges.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/plugins/keyboardnav.js"></script>

    {% block leftsidepanel %} {{ super() }} {% endblock %}
    {% block sensorChartSetup %} {{ super() }} {% endblock %}

{% endblock %}